• Jeremy Huddleston Sequoia's avatar
    xorg-server.pc.in: Remove libpciaccess and pixman-1 from Requires · 41d90391
    Jeremy Huddleston Sequoia authored
    Every module building against xorg-server does not *Require* pixman nor
    libpciaccess.  If such modules need pixman or pciaccess, they should be
    depending on them directly rather than inheriting a dependency from
    xorg-server.  To do this, they should use PKG_CHECK_MODULES in configure.ac
    to check for pixman-1 or pciaccess and include the apporpriate _LIBS variable
    to the appropriate _LDFLAGS variable in Makefile.am
    
    This also moves pixman-1 to Requires.private, so CPPFLAGS is set right to
    to satisfy include dependencies but avoid linking needlessly.
    Signed-off-by: Jeremy Huddleston Sequoia's avatarJeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Gaetan Nadon's avatarGaetan Nadon <memsize@videotron.ca>
    41d90391
xorg-server.pc.in 460 Bytes